Skip to main content

Setup

Install the SVAR Calendar package, import the pieces you need, and wrap the widget with a theme and locale.

Prerequisites

  • A React project.
  • A package manager: npm, pnpm, yarn, or bun.

Steps

1. Install the package

Run one of the following in your project root:

npm install @svar-ui/react-calendar
pnpm add @svar-ui/react-calendar
yarn add @svar-ui/react-calendar
bun add @svar-ui/react-calendar

react is a peer dependency - React must already be installed in your project.

If you have a PRO or Trial edition, check how to install it properly.

2. Import the components you need

The package exports the main widget plus optional companions and themes:

import {
Calendar,
Editor,
CalendarPanel,
ContextMenu,
Willow,
WillowDark,
} from "@svar-ui/react-calendar";

You only need Calendar. Import the rest as you add features:

  • Editor - sidebar/modal event form bound to the calendar API.
  • CalendarPanel - sidebar with calendar-group filters and a mini date picker.
  • ContextMenu - right-click menu wrapper for the calendar.
  • Willow, WillowDark - theme wrappers (light and dark).

Helpers and types live in the same entry point — see getToolbarItems, getMenuOptions, getEditorItems, registerEditorItem, registerCalendarView, parseICal / serializeICal, and RestDataProvider:

import {
getToolbarItems,
getMenuOptions,
getEditorItems,
registerEditorItem,
registerCalendarView,
parseICal,
serializeICal,
RestDataProvider,
} from "@svar-ui/react-calendar";

import type {
CalendarEvent,
CalendarInstanceApi,
CellContext,
EventContext,
} from "@svar-ui/react-calendar";

3. Mount the calendar

Pass an events array and a date to position the visible range:

import { useRef } from "react";
import { Calendar, Editor, Willow } from "@svar-ui/react-calendar";

const today = new Date();
const events = [
{
id: 1,
start: new Date(today.getFullYear(), today.getMonth(), today.getDate(), 10, 0),
end: new Date(today.getFullYear(), today.getMonth(), today.getDate(), 11, 0),
text: "Kickoff",
},
];

function App() {
const api = useRef(null);

return (
<Willow>
<Calendar ref={api} events={events} date={today} />
{api.current && <Editor api={api.current} />}
</Willow>
);
}

export default App;

Willow (or WillowDark) injects the calendar's CSS variables. Wrap the widget once near the root of your page.

4. Add a locale (optional)

The widget renders in English by default. To switch language, install @svar-ui/calendar-locales and wrap the calendar with <Locale> from @svar-ui/react-core.

npm install @svar-ui/calendar-locales @svar-ui/react-core @svar-ui/core-locales
import { Calendar } from "@svar-ui/react-calendar";
import { Locale } from "@svar-ui/react-core";
import { de } from "@svar-ui/calendar-locales";
import { de as deCore } from "@svar-ui/core-locales";

const words = { ...de, ...deCore };

function App() {
return (
<Locale words={words}>
<Calendar events={data} date={new Date()} />
</Locale>
);
}

export default App;

Merge the calendar dictionary with the matching @svar-ui/core-locales dictionary so toolbar buttons, weekday names, and month labels all translate together.

To switch locale at runtime, key the wrapper on the locale id so the calendar re-renders when it changes:

<Locale key={locale} words={words}>
<Calendar events={events} date={new Date()} />
</Locale>

Result

The calendar grid renders with the toolbar on top, the active view below, and your event at 10:00 today. With Editor mounted, clicking an event opens the sidebar form and saved changes flow through api.

Skip to main content

Setup

Install the SVAR Calendar package, import the pieces you need, and wrap the widget with a theme and locale.

Prerequisites

  • A Vue 3 project (Composition API is required).
  • A package manager: npm, pnpm, yarn, or bun.

Steps

1. Install the package

Run one of the following in your project root:

npm install @svar-ui/vue-calendar
pnpm add @svar-ui/vue-calendar
yarn add @svar-ui/vue-calendar
bun add @svar-ui/vue-calendar

vue is a peer dependency - Vue 3 must already be installed in your project.

If you have a PRO or Trial edition, check how to install it properly.

2. Import the components you need

The package exports the main widget plus optional companions and themes:

import {
Calendar,
Editor,
CalendarPanel,
ContextMenu,
Willow,
WillowDark,
} from "@svar-ui/vue-calendar";

You only need Calendar. Import the rest as you add features:

  • Editor - sidebar/modal event form bound to the calendar API.
  • CalendarPanel - sidebar with calendar-group filters and a mini date picker.
  • ContextMenu - right-click menu wrapper for the calendar.
  • Willow, WillowDark - theme wrappers (light and dark).

Helpers and types live in the same entry point — see getToolbarItems, getMenuOptions, getEditorItems, registerEditorItem, registerCalendarView, parseICal / serializeICal, and RestDataProvider:

import {
getToolbarItems,
getMenuOptions,
getEditorItems,
registerEditorItem,
registerCalendarView,
parseICal,
serializeICal,
RestDataProvider,
} from "@svar-ui/vue-calendar";

import type {
CalendarEvent,
CalendarInstanceApi,
CellContext,
EventContext,
} from "@svar-ui/vue-calendar";

3. Mount the calendar

Pass an events array and a date to position the visible range:

<script setup lang="ts">
import { ref } from "vue";
import { Calendar, Editor, Willow } from "@svar-ui/vue-calendar";
import type { CalendarEvent, CalendarInstanceApi } from "@svar-ui/vue-calendar";

const today = new Date();
const events: CalendarEvent[] = [
{
id: 1,
start: new Date(today.getFullYear(), today.getMonth(), today.getDate(), 10, 0),
end: new Date(today.getFullYear(), today.getMonth(), today.getDate(), 11, 0),
text: "Kickoff",
},
];

const api = ref<CalendarInstanceApi>();
</script>

<template>
<Willow>
<Calendar ref="api" :events="events" :date="today" />
<Editor v-if="api" :api="api" />
</Willow>
</template>

Willow (or WillowDark) injects the calendar's CSS variables. Wrap the widget once near the root of your page.

4. Add a locale (optional)

The widget renders in English by default. To switch language, install @svar-ui/calendar-locales and wrap the calendar with <Locale> from @svar-ui/vue-core.

npm install @svar-ui/calendar-locales @svar-ui/vue-core @svar-ui/core-locales
<script setup lang="ts">
import { Calendar } from "@svar-ui/vue-calendar";
import { Locale } from "@svar-ui/vue-core";
import { de } from "@svar-ui/calendar-locales";
import { de as deCore } from "@svar-ui/core-locales";

const words = { ...de, ...deCore };
</script>

<template>
<Locale :words="words">
<Calendar :events="data" :date="new Date()" />
</Locale>
</template>

Merge the calendar dictionary with the matching @svar-ui/core-locales dictionary so toolbar buttons, weekday names, and month labels all translate together.

To switch locale at runtime, key the wrapper on the locale id so the calendar re-renders when it changes:

<template>
<Locale :key="locale" :words="words">
<Calendar :events="events" :date="new Date()" />
</Locale>
</template>

Result

The calendar grid renders with the toolbar on top, the active view below, and your event at 10:00 today. With Editor mounted, clicking an event opens the sidebar form and saved changes flow through api.

Skip to main content

Setup

Install the SVAR Calendar package, import the pieces you need, and wrap the widget with a theme and locale.

Prerequisites

  • A Svelte 5 project (runes are required).
  • A package manager: npm, pnpm, yarn, or bun.

Steps

1. Install the package

Run one of the following in your project root:

npm install @svar-ui/svelte-calendar
pnpm add @svar-ui/svelte-calendar
yarn add @svar-ui/svelte-calendar
bun add @svar-ui/svelte-calendar

svelte is a peer dependency - Svelte 5 (runes) must already be installed in your project.

If you have a PRO or Trial edition, check how to install it properly.

2. Import the components you need

The package exports the main widget plus optional companions and themes:

import {
Calendar,
Editor,
CalendarPanel,
ContextMenu,
Willow,
WillowDark,
} from "@svar-ui/svelte-calendar";

You only need Calendar. Import the rest as you add features:

  • Editor - sidebar/modal event form bound to the calendar API.
  • CalendarPanel - sidebar with calendar-group filters and a mini date picker.
  • ContextMenu - right-click menu wrapper for the calendar.
  • Willow, WillowDark - theme wrappers (light and dark).

Helpers and types live in the same entry point — see getToolbarItems, getMenuOptions, getEditorItems, registerEditorItem, registerCalendarView, parseICal / serializeICal, and RestDataProvider:

import {
getToolbarItems,
getMenuOptions,
getEditorItems,
registerEditorItem,
registerCalendarView,
parseICal,
serializeICal,
RestDataProvider,
} from "@svar-ui/svelte-calendar";

import type {
CalendarEvent,
CalendarInstanceApi,
CellContext,
EventContext,
} from "@svar-ui/svelte-calendar";

3. Mount the calendar

Pass an events array and a date to position the visible range:

<script lang="ts">
import { Calendar, Editor, Willow } from "@svar-ui/svelte-calendar";
import type { CalendarEvent, CalendarInstanceApi } from "@svar-ui/svelte-calendar";

const today = new Date();
const events: CalendarEvent[] = [
{
id: 1,
start: new Date(today.getFullYear(), today.getMonth(), today.getDate(), 10, 0),
end: new Date(today.getFullYear(), today.getMonth(), today.getDate(), 11, 0),
text: "Kickoff",
},
];

let api = $state<CalendarInstanceApi>();
</script>

<Willow>
<Calendar bind:this={api} {events} date={today} />
{#if api}<Editor {api} />{/if}
</Willow>

Willow (or WillowDark) injects the calendar's CSS variables. Wrap the widget once near the root of your page.

4. Add a locale (optional)

The widget renders in English by default. To switch language, install @svar-ui/calendar-locales and wrap the calendar with <Locale> from @svar-ui/svelte-core.

npm install @svar-ui/calendar-locales @svar-ui/svelte-core @svar-ui/core-locales
<script lang="ts">
import { Calendar } from "@svar-ui/svelte-calendar";
import { Locale } from "@svar-ui/svelte-core";
import { de } from "@svar-ui/calendar-locales";
import { de as deCore } from "@svar-ui/core-locales";

const words = { ...de, ...deCore };
</script>

<Locale {words}>
<Calendar events={data} date={new Date()} />
</Locale>

Merge the calendar dictionary with the matching @svar-ui/core-locales dictionary so toolbar buttons, weekday names, and month labels all translate together.

To switch locale at runtime, key the wrapper on the locale id so the calendar re-renders when it changes:

{#key locale}
<Locale {words}>
<Calendar {events} date={new Date()} />
</Locale>
{/key}

Result

The calendar grid renders with the toolbar on top, the active view below, and your event at 10:00 today. With Editor mounted, clicking an event opens the sidebar form and saved changes flow through api.